function [X,T,M] = konzol(x)
    % Konzol igénybevételi értékei, ahol L/4 helyen F erő hat és L/2-től a
    % konzol végéig q megoszló terhelés. T - nyíróerő, M - nyomaték
    F = 10; L = 8; q = 1;
    cond1 = and(x>=0,x<=L/4);   % 1. szakasz
    cond2 = and(x>=L/4,x<=L/2); % 2. szakasz
    cond3 = and(x>=L/2,x<= L);  % 3. szakasz
    x1 = x(cond1); % logikai indexelés
    x2 = x(cond2); % logikai indexelés
    x3 = x(cond3); % logikai indexelés
    T1 = []; T2 = []; T3 = []; M1 = []; M2 = []; M3 = [];
    for i=1:length(x1)
       T1(i) = F + q*L/2;
       M1(i) = -F*L/4 - 3*q*L^2/8 + F*x1(i) + q*L/2*x1(i);
    end
    for i=1:length(x2)
       T2(i) = q*L/2;
       M2(i) = -3*q*L^2/8 + q*L/2*x2(i);
    end
    for i=1:length(x3)
       T3(i) = q*L/2 - q*(x3(i)-L/2);
       M3(i) = -3*q*L^2/8 + q*L/2*x3(i) - q/2*(x3(i)-L/2).^2;     
    end   
    X = [x1,x2,x3];
    T = [T1,T2,T3];
    M = [M1,M2,M3];
end